import 'view_state_model.dart';

abstract class ViewStateRequestModel<T> extends ViewStateModel{

  T data;

  Future<T> loadData();

  void initData() async{
    data = await loadData().then((value){
       setIdle();
       return value;
    }).catchError((e, s){
      setError(e, s);
    });
  }

}

